searchNodes=[{"ref":"SmartCity.Helpers.html","title":"SmartCity.Helpers","type":"module","doc":"Functions used across SmartCity modules."},{"ref":"SmartCity.Helpers.html#deep_merge/2","title":"SmartCity.Helpers.deep_merge/2","type":"function","doc":"Merges two maps into one, including sub maps. Matching keys from the right map will override their corresponding key in the left map."},{"ref":"SmartCity.Helpers.html#to_atom_keys/1","title":"SmartCity.Helpers.to_atom_keys/1","type":"function","doc":"Convert a map with string keys to one with atom keys. Will convert keys nested in a sub-map or a map that is part of a list. Ignores atom keys. Examples iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;abc&quot; =&gt; 123}) %{abc: 123} iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;a&quot; =&gt; %{&quot;b&quot; =&gt; &quot;c&quot;}}) %{a: %{b: &quot;c&quot;}} iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;a&quot; =&gt; [%{&quot;b&quot; =&gt; &quot;c&quot;}]}) %{a: [%{b: &quot;c&quot;}]}"},{"ref":"readme.html","title":"SmartCity","type":"extras","doc":"SmartCity This library defines helper functions that are used across SmartCity modules."},{"ref":"readme.html#installation","title":"SmartCity - Installation","type":"extras","doc":"def deps do [ {:smart_city, &quot;~&gt; 2.1.4&quot;} ] end"},{"ref":"readme.html#basic-usage","title":"SmartCity - Basic Usage","type":"extras","doc":"iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;a&quot; =&gt; 1, &quot;b&quot; =&gt; 2, &quot;c&quot; =&gt; 3}) %{a: 1, b: 2, c: 3} iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;a&quot; =&gt; %{&quot;b&quot; =&gt; &quot;c&quot;}}) %{a: %{b: &quot;c&quot;}} iex&gt; SmartCity.Helpers.deep_merge(%{a: 1, b: 2}, %{a: 3, c: 4}) %{a: 3, b: 2, c: 4} Full documentation can be found at https://hexdocs.pm/smart_city/api-reference.html."},{"ref":"readme.html#contributing","title":"SmartCity - Contributing","type":"extras","doc":"The build process runs these commands: mix local.rebar --force mix local.hex --force mix deps.get mix format --check-formatted mix credo mix test"},{"ref":"readme.html#license","title":"SmartCity - License","type":"extras","doc":"SmartCity is released under the Apache 2.0 license - see the license at http://www.apache.org/licenses/LICENSE-2.0"}]